<?php

namespace App\Service;

class GravatarService
{
    public static function getGravatar(
        string $email,
        int $size = 80,
        string $defaultImageset = 'mp',
        string $maximumRating = 'g'
    ): string {
        $url = 'https://www.gravatar.com/avatar/';
        $url .= md5(strtolower(trim($email)));
        $url .= "?s=$size&d=$defaultImageset&r=$maximumRating";
        return $url;
    }
}
