<?php

namespace App\Entity;

use App\Repository\RedirectRepository;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: RedirectRepository::class)]
class Redirect
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\Column(length: 255)]
    private ?string $name = null;

    #[ORM\Column(length: 255)]
    private ?string $redirectURL = null;

    #[ORM\Column]
    private ?bool $isS3File = null;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getName(): ?string
    {
        return $this->name;
    }

    public function setName(string $name): self
    {
        $this->name = $name;

        return $this;
    }

    public function getRedirectURL(): ?string
    {
        return $this->redirectURL;
    }

    public function setRedirectURL(string $redirectURL): self
    {
        $this->redirectURL = $redirectURL;

        return $this;
    }

    public function isIsS3File(): ?bool
    {
        return $this->isS3File;
    }

    public function setIsS3File(bool $isS3File): self
    {
        $this->isS3File = $isS3File;

        return $this;
    }
}
