<?php

namespace App\Twig\Components;

use App\Entity\Navigation;
use App\Repository\NavigationRepository;
use Symfony\UX\TwigComponent\Attribute\AsTwigComponent;

#[AsTwigComponent('navigation')]
final class NavigationComponent
{
    /**
     * @var array<Navigation>
     */
    public array $navigation;
    public function __construct(
        private readonly NavigationRepository $navigationRepository
    ) {
        $this->navigation = $this->navigationRepository->getTopLevelElements(0);
    }
}
